Ubuntu 16.04 ubuntu-make error android: è stato richiesto un framework di default per la categoria Android dove non c'è nessuno [duplicato]

7

Cerco di installare Android Studio 2.0 in Ubuntu 16.04 usando Ubuntu-make come descritto nel manuale wiki e < a href="https://www.youtube.com/watch?v=rTjlIweE_Rs"> video .

[email protected]:~$ umake android
ERROR: A default framework for category Android was requested where there is none
usage: umake android [-h] {android-ndk} ...

Un altro modo di input non ha aiutato neanche:

[email protected]:~$ umake android android-studio
usage: umake android [-h] {android-ndk} ...
umake android: error: argument framework: invalid choice: 'android-studio' (choose from 'android-ndk')

Sebbene altri IDE siano installati normalmente, ad es. quando corro: umake ide idea , tutto va bene.

Ma continuo a ricevere questi errori quando provo ad installare Android Studio.

    
posta Norton 15.04.2016 - 21:30

1 risposta

6

Ho trovato una soluzione in un'altra discussione su askubuntu: Perché può ricevo Android Studio da umake?

Il seguente, tratto dal link precedente, ha funzionato per me, anche se sto usando Linux Mint:

Devi avere l'ultima versione di umake, che è 17.03 al momento della scrittura. Il mio era vecchio, quindi l'ho sostituito.

umake --version

Non installare umake dai repository ubuntu standard, invece aggiungi repository ubuntu-desktop per ottenere l'ultima versione di umake. Aggiungi repository con

sudo add-apt-repository ppa:ubuntu-desktop/ubuntu-make

Aggiorna sorgente software

sudo apt-get update

Ora installa / aggiorna umake

sudo apt-get install ubuntu-make

Ora installa Android Studio di

sudo umake android
    
risposta data Kai Hatje 17.04.2017 - 09:16

Leggi altre domande sui tag